Skip to main content
POST
/
me
/
phone-numbers
/
{id}
/
attempt-verification
Verify phone number
curl --request POST \
  --url https://api.wacht.dev/me/phone-numbers/{id}/attempt-verification \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --cookie session_id= \
  --data 'verification_code=<string>'
{
  "status": 200,
  "message": "",
  "data": {
    "message": "Phone number verified successfully"
  },
  "session": {
    "id": "123456789012345678",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "errors": [
    {
      "code": "INVALID_CREDENTIALS",
      "message": "Invalid credentials. Please try again."
    }
  ]
}

Authorizations

session_id
string
cookie
required

Path Parameters

id
string<uint64>
required

Body

application/x-www-form-urlencoded
verification_code
string
required

Response

200 - application/json

Phone number verified

status
integer

HTTP status code

Example:

200

message
string

Response message (empty on success)

Example:

""

data
object
session
object

Minimal session info included in every response

errors
object[] | null

Error details (null on success)